<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>avifile</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="avicloseall.html">&lt;&lt; avicloseall</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_ca80954213d07446b5a945dc2733d9ae.html">Video Handling</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="avilistopened.html">avilistopened &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_ca80954213d07446b5a945dc2733d9ae.html">Video Handling</a> &gt; avifile</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">avifile</h1>
    <p class="refpurpose">Create a new video file to write. (experimental)</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">n</span><span class="default"> = </span><span class="functionid">avifile</span><span class="default">(</span><span class="default">filename</span><span class="default">, </span><span class="default">dims</span><span class="default">)</span>
<span class="default">n</span><span class="default"> = </span><span class="functionid">avifile</span><span class="default">(</span><span class="default">filename</span><span class="default">, </span><span class="default">dims</span><span class="default">, </span><span class="default">fps</span><span class="default">)</span>
<span class="default">n</span><span class="default"> = </span><span class="functionid">avifile</span><span class="default">(</span><span class="default">filename</span><span class="default">, </span><span class="default">dims</span><span class="default">, </span><span class="default">fps</span><span class="default">, </span><span class="default">fourcc</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">filename :</span>
      <dd><p class="para">A string, the video filename to be created.</p></dd></dt>
   <dt><span class="term">dims :</span>
      <dd><p class="para">A 1x2 vector, which indicates the frame size (width, height).</p></dd></dt>
   <dt><span class="term">fps :</span>
      <dd><p class="para">Frame per second.</p></dd></dt>
   <dt><span class="term">fourcc :</span>
      <dd><p class="para">4-character code of codec used to compress the frames.</p></dd></dt>
   <dt><span class="term">For e.g.:</span>
      <dd><p class="para">&#0039;xvid&#0039;, &#0039;mjpg&#0039;, &#0039;pim1&#0039;, &#0039;mp42&#0039;, &#0039;divx&#0039;,&#0039;flv1&#0039;, etc.</p></dd></dt>
   <dt><span class="term">Under windows:</span>
      <dd><p class="para"></p></dd></dt>
   <dt><span class="term">n :</span>
      <dd><p class="para">A number, the opened video file index.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para"></p>
   <p class="para">In order to use certain codec, the codec must be installed.</p>
   <p class="para">For e.g., xvid required xvid codec (http://www.xvid.org) while the mpg required ffdshow codec. (http://www.free-codecs.com/ffdshow_download.htm)
avifile create a new video file.</p>
   <p class="para">After the video file is created, addframe can be used to add frame to the file. Remember to close the opened file using aviclose(n) or avicloseall().</p>
   <p class="para">Video support for IPCV is only available when IPCV is compiled with OpenCV which support video I/O.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">im</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/baboon.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">n</span> <span class="scilaboperator">=</span> <span class="scilabid">avifile</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">baboon.avi</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span> <span class="scilabopenclose">[</span><span class="scilabnumber">300</span><span class="scilabdefault">;</span><span class="scilabnumber">300</span><span class="scilabopenclose">]</span><span class="scilabdefault">,</span> <span class="scilabnumber">30</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">xvid</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>

<span class="scilabskeyword">for</span> <span class="scilabid">ii</span><span class="scilaboperator">=</span><span class="scilabnumber">1</span><span class="scilabspecial">:</span><span class="scilabnumber">200</span>
<span class="scilabid">ims</span> <span class="scilaboperator">=</span> <span class="scilabid">im</span><span class="scilabopenclose">(</span><span class="scilabid">ii</span><span class="scilabspecial">:</span><span class="scilabnumber">512</span><span class="scilaboperator">-</span><span class="scilabid">ii</span><span class="scilabdefault">,</span> <span class="scilabid">ii</span><span class="scilabspecial">:</span><span class="scilabnumber">512</span><span class="scilaboperator">-</span><span class="scilabid">ii</span><span class="scilabdefault">,</span> <span class="scilabspecial">:</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">addframe</span><span class="scilabopenclose">(</span><span class="scilabid">n</span><span class="scilabdefault">,</span> <span class="scilabid">ims</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabskeyword">end</span>

<span class="scilabid">aviclose</span><span class="scilabopenclose">(</span><span class="scilabid">n</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="scilab://aviinfo" class="link">aviinfo</a></li>
   <li class="member"><a href="aviopen.html" class="link">aviopen</a></li>
   <li class="member"><a href="camopen.html" class="link">camopen</a></li>
   <li class="member"><a href="addframe.html" class="link">addframe</a></li>
   <li class="member"><a href="aviclose.html" class="link">aviclose</a></li>
   <li class="member"><a href="avicloseall.html" class="link">avicloseall</a></li>
   <li class="member"><a href="avilistopened.html" class="link">avilistopened</a></li>
   <li class="member"><a href="avireadframe.html" class="link">avireadframe</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="avicloseall.html">&lt;&lt; avicloseall</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_ca80954213d07446b5a945dc2733d9ae.html">Video Handling</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="avilistopened.html">avilistopened &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
